import request from "@/api/request.js";

// 根据法案ID获取耗时分析
/**
 * @param {id} 
 */
export function getBillTimeAnalyze(params) {
    return request({
        method: 'GET',
        url: `/api/billDeepDive/processAnalyze/time/${params.id}`,
        params,
    })
}

// 根据法案ID获取党派政治献金
/**
 * @param {id, personCongress} 
 */
export function getBillTotalXj(params) {
    return request({
        method: 'GET',
        url: `/api/billDeepDive/processAnalyze/totalxj/${params.id}`,
        params,
    })
}

// 根据法案ID获取投票情况
/**
 * @param {id} 
 */
export function getBillTp(params) {
    return request({
        method: 'GET',
        url: `/api/billDeepDive/processAnalyze/tp/${params.id}`,
        params,
    })
}

// 根据法案ID获取政治献金
/**
 * @param {id, personCongress} 
 */
export function getBillXj(params) {
    return request({
        method: 'GET',
        url: `/api/billDeepDive/processAnalyze/xj/${params.id}`,
        params,
    })
}

// 根据动议ID获取动议详细信息
/**
 * @param {id} 
 */
export function getProcessSummaryDetail(params) {
    return request({
        method: 'GET',
        url: `/api/billDeepDive/processSummary/detail/${params.id}`,
        params,
    })
}

// 根据动议ID获取条款内容
/**
 * @param {id,cRelated,currentPage,pageSize} 
 */
export function getProcessSummaryTk(params) {
    return request({
        method: 'GET',
        url: `/api/billDeepDive/processSummary/tk/${params.id}`,
        params,
    })
}

// 根据动议ID获取动议流程
/**
 * @param {id} 
 */
export function getProcessSummary(params) {
    return request({
        method: 'GET',
        url: `/api/billDeepDive/processSummary/${params.id}`,
        params,
    })
}